package com.mvc.dao;

import com.mvc.entity.TUsingunitGroup;
import com.mvc.entity.TUsingunitGroupExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TUsingunitGroupMapper {
    long countByExample(TUsingunitGroupExample example);

    int deleteByExample(TUsingunitGroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TUsingunitGroup record);

    int insertSelective(TUsingunitGroup record);

    List<TUsingunitGroup> selectByExample(TUsingunitGroupExample example);

    TUsingunitGroup selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TUsingunitGroup record, @Param("example") TUsingunitGroupExample example);

    int updateByExample(@Param("record") TUsingunitGroup record, @Param("example") TUsingunitGroupExample example);

    int updateByPrimaryKeySelective(TUsingunitGroup record);

    int updateByPrimaryKey(TUsingunitGroup record);
}